### Encoding: latin1

### Name: frbf
### Title: Flexible Radial Basis Function
### Aliases: frbf
### Keywords: models cluster neural

### ** Examples

# Example 
# data will be splitted into training and classification groups
data(iris) 
samp <- sample(1:150, 75)
# the training matrix will be use 75 random points
training_matrix <- iris[samp, ]
# the matrix to classify will use all the other points 
classification_matrix <- iris[-samp, ]

# create the model
model <- frbf(training_matrix, weighting_function="mahalanobis", class_name = "Species", number_clusters = 3, scale_variance = TRUE)

# the configuration used on the model 
print(model@config) 
# the matrix with the model data information 
print(model@model) 
# the function lambda calculated per each cluster 
print(model@lambda) 
# the model kernels, the result from the kmeans 
print(model@kernels) 

# predict 
classification <- predict(model, classification_matrix) 
# the classification points for the last 
print(classification)



